#include<bits/stdc++.h>
using namespace std;

#define ll long long
#define rep(i,x,y) for(ll i=x;i<=y;i++)

int main(){
	freopen("assign.in","r",stdin);
	freopen("assign.out","w",stdout);
	string in;
	ll q;
	cin>>q;
	
	while(cin>>in);
	
	while(q--) cout<<"0\n";
	
	return 0;
}
